Subject: [bug#27977] [PATCH 1/2] services: herd: Fix matching ok responses from shepherd service.

From: Christopher Baines <[email-masked]>
Date: Tue, 22 Aug 2017 17:44:52 +0100

On Tue, 22 Aug 2017 17:52:44 +0200
[email-masked] (Ludovic Courtès) wrote:

> Probably this patch is better than reverting.
> 
> Thoughts?

I had to apply that patch with --ignore-whitespace-change, as the code
in the middle of (current-services) has been indented outside of that
patch.

I think I get what is going on. As far as I understand it, the (match
results ((services _ ...) ... bit is equivilent to the use of first in
the other procedures, which suggests to me that you could use first in
(current-services)? I'm guessing that the only difference is that they
will fail differently on the empty list?

Also, I've successfully ran the memcached service test with this
change, so there is no regression there which is good :)